PROC GLOBAL


PROC COMMAPARSER_FF


PROC LONG_STRING

	numeric	numberValues,
			commaPos,
			currentPos = 1,
			stringLength = length(strip(LONG_STRING));
	
	commaPos = pos(",",LONG_STRING);
	
	do while commaPos

		numeric thisValue = tonumber(LONG_STRING[currentPos:(commaPos - currentPos)]);
		
		if numberValues > 0 and seek(VALUE = thisValue) in 1:numberValues then
			errmsg("You entered %d more than once!",thisValue);
			reenter;
		endif;
		
		inc(numberValues);
		VALUE(numberValues) = thisValue;
		
		if commaPos < stringLength then // search for the next entry
			currentPos = commaPos + 1;
			commaPos = pos(",",LONG_STRING[currentPos]);
			
			if commaPos then
				commaPos = currentPos - 1 + commaPos;
			else
				commaPos = stringLength + 1; // trick the program into thinking that there is a comma at the end of the string
			endif;
		
		else
			commaPos = 0; // break out of the loop
			
		endif;
	
	enddo;


